Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364703 - [abrt] policycoreutils-devel: __init__.py:1441:<module>:AttributeError: module '_selinux' has no attribute 'selinux_snapperd_contexts_path'
Summary: [abrt] policycoreutils-devel: __init__.py:1441:<module>:AttributeError: modul...
Keywords:
Status: CLOSED DUPLICATE
Alias: None
Product: Fedora
Classification: Fedora
Component: libselinux
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vit Mojzis
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:eef1f8e625f2eb333b75a0748d7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-06 10:05 UTC by Vivek N Mohan
Modified: 2016-11-07 12:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-26 12:48:05 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-06 10:05 UTC, Vivek N Mohan
no flags Details
File: environ (deleted)
2016-08-06 10:05 UTC, Vivek N Mohan
no flags Details

Description Vivek N Mohan 2016-08-06 10:05:34 UTC
Version-Release number of selected component:
policycoreutils-devel-2.5-5.fc24

Additional info:
reporter:       libreport-2.7.2
cmdline:        /usr/bin/python3 -Es /usr/bin/sepolgen-ifgen
executable:     /usr/bin/sepolgen-ifgen
kernel:         4.6.3-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
#1 <module> in /usr/lib64/python3.5/site-packages/selinux/__init__.py:1441
#2 <module> in /usr/bin/sepolgen-ifgen:34

Comment 1 Vivek N Mohan 2016-08-06 10:05:41 UTC
Created attachment 1188133 [details]
File: backtrace

Comment 2 Vivek N Mohan 2016-08-06 10:05:43 UTC
Created attachment 1188134 [details]
File: environ

Comment 3 Mike BRIGHT 2016-08-21 10:18:27 UTC
Not sure if this is a manifestation of the same problem but I'm getting that same error message on attempts to use ansible on Fedora 24.

(out of desperation I disabled selinux, but the problem persists even after a reboot).


http://pastebin.com/1zDdp08h

Comment 4 Mike BRIGHT 2016-08-22 13:43:57 UTC
(In reply to Mike BRIGHT from comment #3)
> Not sure if this is a manifestation of the same problem but I'm getting that
> same error message on attempts to use ansible on Fedora 24.
> 
> (out of desperation I disabled selinux, but the problem persists even after
> a reboot).
> 
> 
> http://pastebin.com/1zDdp08h

My problem is fixed - replying to my own comment, in case this is useful to anyone.

I was able to compare with another F24 installation which didn't have this problem.  comparing the output of "strace ansible --version" showed me that the problematic install had an extra file:
    /usr/lib64/python2.7/site-packages/selinux/_selinux.so

This was due to me having 2 libselinux-python rpms installed

    > rpm -qa | grep libselinux-python
    libselinux-python-2.5-9.fc24.x86_64
    libselinux-python-2.5-3.fc24.x86_64

Removing the older package
    dnf remove libselinux-python-2.5-3.fc24.x86_64

solved my problem.

Comment 5 Vit Mojzis 2016-09-26 12:48:05 UTC

*** This bug has been marked as a duplicate of bug 1358487 ***


Note You need to log in before you can comment on or make changes to this bug.